Subject: Re: [Idr] WG Last call for draft-ietf-idr-aigp-10 (ending 9/27/13)

From: Ilya Varlashkin <[email-masked]>
Date: Tue, 1 Oct 2013 11:31:48 +0100

On Sep 30, 2013, at 10:02 PM, Eric Rosen <[email-masked]> wrote:

> 
>> current draft should say how to handle AIGP Types an implementation
>> doesn't recognise
> 
> We can add that unrecognized types have no impact on the bestpath
> selection.  I don't think there's anything more to say about them.
> 

I'm just worried that somebody might "treat them as WITHDRAW", which may be good or bad thing to do. Perhaps something like: "AIGP attributes with Type set to a value not recognised by local implementation should be treated as unknown transitive BGP attribute (per rfc4271)"

> With regard to type 1, the draft should probably state what to do if there
> is more than a single type 1 TLV.  I propose to add a statement saying that
> an implementation originating an AIGP attribute MUST NOT include more than
> one type 1 TLV, and that an implementation receiving an AIGP attribute with
> more than one type 1 TLV MUST use only the AIGP value in the first one.
> 

Generally it's a good idea. Though you can't know that first AIGP is any better than second, and this doesn't even give you deterministic behaviour because you don't know whether or not broken implementation will add its own instance of AIGP before or after the one already linked to a prefix. So on receiving multiple AIGP instances it's probably to treat the message as malformed and "as WITHDRAW". And this seems to be reasonable to apply to any Type of AIGP (even those we don't have today).

/iLya